classification
Title: Named entity "vertical line" missed in 2.7 htmlentitydefs.py
Type: behavior Stage: resolved
Components: Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: andreas.roehler, ezio.melotti, kdwyer, zach.ware
Priority: normal Keywords:

Created on 2016-02-10 10:40 by andreas.roehler, last changed 2020-04-27 04:01 by zach.ware. This issue is now closed.

Messages (3)
msg260003 - (view) Author: Andreas Röhler (andreas.roehler) Date: 2016-02-10 10:40
Shouldn't a named entity  "vbar"  or "vline" be part of dict in 
htmlentitydefs.py?

Thanks,

Andreas
msg260011 - (view) Author: Kevin Dwyer (kdwyer) Date: 2016-02-10 14:00
The docs describe the entitydefs mapping as "A dictionary mapping XHTML 1.0 entity definitions to their replacement text in ISO Latin-1".

Neither 'vbar' nor 'vline' seem to be part of the xhtml entity definitions (https://www.w3.org/TR/xhtml1/dtds.html).

The entitydefs mapping does include 'brvbar' (broken vertical bar), and in Python 3.3+ html.entities.html5 provides 'vert;'
msg367382 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2020-04-27 04:01
With 2.7 now at end-of-life, I'm closing the issue.  Thanks for the report anyway!
History
Date User Action Args
2020-04-27 04:01:42zach.waresetstatus: open -> closed

nosy: + zach.ware
messages: + msg367382

resolution: out of date
stage: test needed -> resolved
2016-02-12 20:39:02terry.reedysetnosy: + ezio.melotti

type: behavior
stage: test needed
2016-02-10 14:00:59kdwyersetnosy: + kdwyer

messages: + msg260011
versions: + Python 2.7
2016-02-10 10:40:19andreas.roehlercreate